MPD: net/SocketError.hxx File Reference

MPD 0.20.15

Data Structures | Typedefs | Functions
SocketError.hxx File Reference
`#include "Compiler.h"`
`#include "system/Error.hxx"`
`#include <errno.h>`
Include dependency graph for SocketError.hxx:

Go to the source code of this file.

## Data Structures
class | SocketErrorMessage
| Helper class that formats a socket error message into a human-readable string. More...

## Typedefs
typedef int | socket_error_t

## Functions
static gcc_pure socket_error_t | GetSocketError () noexcept
static gcc_const bool | IsSocketErrorAgain (socket_error_t code) noexcept
static gcc_const bool | IsSocketErrorInterruped (socket_error_t code) noexcept
static gcc_const bool | IsSocketErrorClosed (socket_error_t code) noexcept
static gcc_const std::system_error | MakeSocketError (socket_error_t code, const char *msg) noexcept
static gcc_pure std::system_error | MakeSocketError (const char *msg) noexcept

## Typedef Documentation

## ◆ socket_error_t

typedef int socket_error_t

Definition at line 31 of file SocketError.hxx.

## Function Documentation

## ◆ GetSocketError()

static gcc_pure socket_error_t GetSocketError | ( |  | ) |
| inlinestaticnoexcept

Definition at line 36 of file SocketError.hxx.

## ◆ IsSocketErrorAgain()

static gcc_const bool IsSocketErrorAgain | ( | socket_error_t | code | ) |
| inlinestaticnoexcept

Definition at line 47 of file SocketError.hxx.

## ◆ IsSocketErrorClosed()

static gcc_const bool IsSocketErrorClosed | ( | socket_error_t | code | ) |
| inlinestaticnoexcept

Definition at line 69 of file SocketError.hxx.

## ◆ IsSocketErrorInterruped()

static gcc_const bool IsSocketErrorInterruped | ( | socket_error_t | code | ) |
| inlinestaticnoexcept

Definition at line 58 of file SocketError.hxx.

## ◆ MakeSocketError() [1/2]

static gcc_const std::system_error MakeSocketError | ( | socket_error_t | code,
|  | const char * | msg
| ) |  |
| inlinestaticnoexcept

Definition at line 100 of file SocketError.hxx.

## ◆ MakeSocketError() [2/2]

static gcc_pure std::system_error MakeSocketError | ( | const char * | msg | ) |
| inlinestaticnoexcept

Definition at line 111 of file SocketError.hxx.